<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Создание альбома*/
$tpl->assign_file('mod', 'tpl/inc/new_albom.tpl');
if (!$user_id) header('Location: /login.php');
$id = (int)$_GET['id'];
$dir = $db->assoc($db->query("SELECT id AS dir_id, name AS dir_name, (SELECT id FROM foto_albom WHERE id_user = '$user_id' AND  id_dir = foto_dir.id) AS id_albom FROM foto_dir WHERE id = '$id'"));
$tpl->assign($dir);
if (!empty($dir['dir_name'])) {
    if (empty($dir['id_albom'])) {
        // Запись
        if (!empty($_POST['name'])) {
            $db->query("INSERT INTO foto_albom SET name = '" . xss($_POST['name']) . "', time = '" . time() . "', user = '$login',  id_user = '$user_id', id_dir = '$id'");
            header('Location: ?mod=albom&id=' . $db->insert_id());
        }
        // Форма
        $tpl->parse('index.new_albom.form');
    } else {
        $tpl->parse('index.new_albom.albom_isset');
    }
} else {
    $tpl->parse('index.new_albom.no_dir');
}
$tpl->parse('index.new_albom');

?>